using System;

namespace petlja
{
    class Program
    {
        static void Main(string[] args)
        {
            string a;
            double suma = 0,pae=0;
            int N = int.Parse(Console.ReadLine());
            double[] A = new double[N];
            double[] P = new double[N];
            for(int i=0;i<N;i++)
            {
                a = Console.ReadLine();
                string[] m = a.Split(' ');
                A[i] = double.Parse(m[0]);
                P[i] = double.Parse(m[1]);
            }
            for(int i=0;i<N;i++)
            {
                suma = 0;
                for (int j=0;j<N;j++)
                {
                    if (P[j]>=P[i])
                        suma += (A[j]*P[i]/100);
                }
                if (suma > pae)
                    pae = suma;
            }
            Console.WriteLine(pae);
        }
    }
}